/* eslint-disable */
import React, { useState } from 'react'
import PropTypes from 'prop-types'
import Button from '@/Shared/Button'

export default function UserList({
  className,
  onChange,
  users = [],
  selectedUsers = [],
}) {
  const [selected, setSelected] = useState(selectedUsers)

  function handleChange(selected) {
    onChange({
      target: {
        name: 'selectedUsers',
        value: selected,
      },
    })
  }

  function addUser(id) {}

  function removeUser(id) {}

  return (
    <div className={`panel mt-5 ${className}`}>
      <table className='table table-striped'>
        <thead>
          <tr>
            <th>#</th>
            <th>User name</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          {users.map(user => (
            <tr key={user.id}>
              <td>{user.id}</td>
              <td>{user.name}</td>
              <td className='text-right'>
                <Button
                  className='action-button'
                  type='button'
                  icon='fas fa-plus'
                  onClick={addUser(user.id)}
                />
              </td>
            </tr>
          ))}
        </tbody>
      </table>
    </div>
  )
}

UserList.propTypes = {
  className: PropTypes.string,
  onChange: PropTypes.func.isRequired,
  selectedUsers: PropTypes.array,
  users: PropTypes.array,
}
