import React from 'react'
import PropTypes from 'prop-types'
import IpadHeader from '@/Shared/IpadHeader'
import Content from '@/Shared/Content'

export default function IpadLayout({ title, area, children }) {
  return (
    <div className='tw-flex-1 tw-flex tw-flex-row tw-flex-grow tw-w-full'>
      <div className='tw-flex tw-flex-col tw-flex-grow'>
        <IpadHeader pageTitle={title} pageArea={area} />
        <Content>{children}</Content>
      </div>
    </div>
  )
}

IpadLayout.propTypes = {
  area: PropTypes.string,
  children: PropTypes.oneOfType([PropTypes.object, PropTypes.array]),
  title: PropTypes.string.isRequired,
}
