<?php

namespace Drp\EventPalAdmin\Http\Controllers\Forms\QnA;

use Drp\EventPalAdmin\Http\Models\Form;
use Illuminate\Http\Request;
use Inertia\Inertia;
use Inertia\Response;

class FacilitateController
{
    public function __invoke(Request $request, Form $form): Response
    {
        $selectedSpeaker = $request->speaker;

        $speakers = $form->getModel()->get('speaker')->pluck('speaker')->unique()->prepend('All');

        $records = $form->getModel()
            ->where('status', 'accepted')
            ->when($selectedSpeaker !== null && $selectedSpeaker !== 'All', function ($query) use ($selectedSpeaker) {
                return $query->where('speaker', $selectedSpeaker);
            })
            ->with('registration')
            ->get();

        return Inertia::render(
            'Forms/Manage/qna/ipad/Facilitate',
            compact('form', 'records', 'speakers', 'selectedSpeaker')
        );
    }
}
